=== debian/changelog ===
libssh (0.6.1-0ubuntu3) trusty; urgency=medium

  * SECURITY UPDATE: PRNG state reuse on forking servers
    - debian/patches/CVE-2014-0017.patch: force reseed after fork in
      include/libssh/wrapper.h, src/bind.c, src/libcrypto.c,
      src/libgcrypt.c.
    - CVE-2014-0017

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 10 Mar 2014 09:47:11 -0400

libssh (0.6.1-0ubuntu2) trusty; urgency=medium

  * Fix .symbols file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Feb 2014 11:57:02 +0000

libssh (0.6.1-0ubuntu1) trusty; urgency=low

  * New upstream release.

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 12 Feb 2014 10:49:46 -0800
