=== include/CMakeLists.txt ===
project(headers C)

add_subdirectory(libssh)
