=== debian/changelog ===
libssh (0.6.3-4.3ubuntu0.6) xenial-security; urgency=medium

  * SECURITY UPDATE: NULL pointer dereference
    - debian/patches/CVE-2020-16135-*.patch: fix a NULL dereference
      checking the return of ssh_buffer_new() and added others checks
      in src/sftpservcer.c, src/buffer.c.
    - CVE-2020-16135

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Fri, 31 Jul 2020 16:48:59 -0300

libssh (0.6.3-4.3ubuntu0.5) xenial-security; urgency=medium

  * SECURITY UPDATE: unsanitized location in scp could lead to unwanted
    command execution
    - debian/patches/CVE-2019-14889-1.patch: reformat code in scp/scp.c.
    - debian/patches/CVE-2019-14889-2.patch: log SCP warnings received from
      the server in src/scp.c.
    - debian/patches/CVE-2019-14889-3.patch: add function to quote file
      names in include/libssh/misc.h, src/misc.c.
    - debian/patches/CVE-2019-14889-4.patch: don't allow file path longer
      than 32kb in src/scp.c.
    - debian/patches/CVE-2019-14889-5.patch: quote location to be used on
      shell in src/scp.c.
    - CVE-2019-14889

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 10 Dec 2019 10:32:29 -0500

libssh (0.6.3-4.3ubuntu0.2) xenial-security; urgency=medium

  * SECURITY REGRESSION: fix multiple regressions (LP: #1805348)
    - debian/patches/CVE-2018-10933-regression.patch: set correct state
      after sending INFO_REQUEST in src/server.c.
    - debian/patches/CVE-2018-10933-regression2.patch: add missing break in
      src/packet.c.
    - debian/patches/CVE-2018-10933-regression3.patch: set correct state
      after sending GSSAPI_RESPONSE in src/gssapi.c.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 27 Nov 2018 10:04:57 -0500

libssh (0.6.3-4.3ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: authentication bypass vulnerability
    - debian/patches/CVE-2018-10933-*.patch: add upstream patches to
      correct the issue.
    - CVE-2018-10933

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 16 Oct 2018 15:05:17 -0400

libssh (0.6.3-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2016-0739: Truncated Diffie-Hellman secret length (Closes: #815663)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 23 Feb 2016 19:54:04 +0100

libssh (0.6.3-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches: Add 0002_CVE-2015-3146.patch from 0.6.5 release upstream
    (Closes: #784404)

 -- Christopher Knadle <Chris.Knadle@coredump.us>  Mon, 16 Nov 2015 04:26:51 -0500

libssh (0.6.3-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "ftbfs with GCC-5": add patch from Matthias Klose/Ubuntu:
    add __extension__ to __FUNCTION__.
    (Closes: #777975)

 -- gregor herrmann <gregoa@debian.org>  Sat, 18 Jul 2015 20:38:30 +0200

libssh (0.6.3-4) unstable; urgency=medium

  * Add debian/patches/0001_CVE-2014-8132.patch: Fixup error path in
    ssh_packet_kexinit() (Closes: #773577, CVE-2014-8132)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 27 Jan 2015 00:28:01 +0100

libssh (0.6.3-3) unstable; urgency=low

  [ Sebastian Ramacher ]
  * Build gcrypt flavor. (Closes: #676650)
  * d/control:
    - Add Build-Dep on libgcrypt-dev.
    - Bump Build-Dep on debhelper to >= 9 and remove cdbs.
    - Add libssh-gcrypt-dev and libssh-gcrypt-4 packages.
    - Add Conflicts to libssh-dev and libssh-gcrypt-dev against each other.
    - Add Depends on libssh-gcrypt-4 to libssh-dbg and break incompatible
      versions.
    - Update libssh-4 and libssh-dev Description.
  * d/compat: Bump to 9.
  * d/rules: Convert to dh and build gcrypt flavor.
  * d/libssh-doc.docs: Update location of documentation.
  + d/patches/1003-custom-lib-names.patch: Allow to overwrite libssh's
    OUTPUT_NAME.

  [ Laurent Bigonville ]
  * debian/libssh-gcrypt-4.lintian-overrides: Add an override for
    the dev-pkg-without-shlib-symlink lintian warning
  * debian/control, debian/rules: Enable the tests at build time, really
    (Closes: #744403)
  * debian/control: Add pkg-config to the build-dependencies
  * d/p/2003-disable-expand_tilde_unix-test.patch: Disable
    torture_path_expand_tilde_unix it's not working well on the buildd
  * d/p/0007-security-fix-for-vulnerability-CVE-2014-0017.patch: Drop obsolete
    patch, merged upstream in 0.6.3
  * debian/rules: Pass -Wl,-z,defs -Wl,-O1 -Wl,--as-needed to the LDFLAGS
  * Enable GSSAPI support
    - debian/control: Add libkrb5-dev | heimdal-dev to the build-dependencies
    - debian/rules: Pass -DWITH_GSSAPI=ON to the CMake flags
    - Adjust the .symbols file

 -- Laurent Bigonville <bigon@debian.org>  Sat, 30 Aug 2014 17:31:14 +0200

libssh (0.6.3-2) unstable; urgency=low

  [ Mike Gabriel ]
  * debian/rules:
    + Enable tests during package build. (Closes: #744403).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 14 May 2014 10:19:23 +0200

libssh (0.6.3-1) unstable; urgency=low

  * Upload to unstable without changes.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 14 May 2014 09:43:04 +0200

libssh (0.6.3-1~exp1) experimental; urgency=medium

  * New upstream release.
    - Reset the PRNG state after accepting a new connection (CVE-2014-0017)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 05 Mar 2014 23:02:10 +0100

libssh (0.6.1-1~exp1) experimental; urgency=low

  * New upstream release.
  * debian/control:
    + Bump Standards: to 3.9.5. No changes needed.
  * debian/patches:
    + Remove obsolete patches (all applied upstream).
    + Add patch for fixing typos in upstream error messages.
  * Provide upstream signing key in package.
  * Update debian/libssh-4.symbols file.
  * Update debian/copyright.in file.
  * Update debian/copyright file.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 19 Feb 2014 12:54:32 +0100
