## libssh 0.7.3

=== debian/changelog ===
libssh (0.7.3-2+deb9u2) stretch; urgency=medium

  * Non-maintainer upload.
  * Fix broken server-side keyboard-interactive authentication.
    Thanks to Martin Pitt (Closes: #913870)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 31 Dec 2018 14:47:15 +0100

libssh (0.7.3-2+deb9u1) stretch-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Authentication bypass vulnerability (CVE-2018-10933) (Closes: #911149)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 16 Oct 2018 21:18:05 +0200

libssh (0.7.3-2) unstable; urgency=medium

  * debian/control: Explicitly build against openssl1.0 for now as libssh
    doesn't support 1.1 yet (Closes: #828413, #845197)
  * debian/copyright: Fix short licence for files in the public domain.
  * debian/copyright: More fixes to the copyright file
  * debian/rules: Enable all hardening flags

 -- Laurent Bigonville <bigon@debian.org>  Tue, 29 Nov 2016 15:58:36 +0100

libssh (0.7.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #805030)
    - debian/control: Bump build-dependencies
    - Update the .symbols files, add the new exported symbols
    - Drop 0001_CVE-2014-8132.patch, 0002_CVE-2015-3146.patch,
      0003_CVE-2016-0739.patch: Applied upstream
    - 1003-custom-lib-names.patch, 2003-disable-expand_tilde_unix-test.patch:
      Refreshed
    - Drop 2002-fix-html-doc-generation.patch, gcc-5.diff: Not needed anymore
  * Drop -dbg package and rely on the automatically built -dbgsym ones
  * debian/control: Bump Standards-Version to 3.9.8 (no further changes)
  * debian/control: Use https URL's for Vcs-* and Homepage fields
  * debian/copyright: Updated

 -- Laurent Bigonville <bigon@debian.org>  Fri, 10 Jun 2016 00:27:07 +0200
