=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: libssh
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laurent Bigonville <bigon@debian.org>
+Maintainer: Laurent Bigonville <bigon@debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
-Build-Depends: cmake (>= 2.6),
-               debhelper (>= 9),
+Build-Depends: cmake (>= 2.8.5),
+               debhelper (>= 9.20160114~),
                libcmocka-dev,
                libgcrypt-dev,
                libkrb5-dev | heimdal-dev,
-               libssl-dev,
+               libssl1.0-dev,
                libz-dev,
                openssh-client,
                pkg-config
 Build-Depends-Indep: doxygen
-Standards-Version: 3.9.5
-Vcs-Git: git://anonscm.debian.org/collab-maint/libssh.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/libssh.git
-Homepage: http://www.libssh.org/
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/libssh.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/libssh.git
+Homepage: https://www.libssh.org/
 
 Package: libssh-4
 Architecture: any
@@ -51,7 +50,7 @@
 Section: libdevel
 Architecture: any
 Depends: libssh-4 (= ${binary:Version}),
-         libssl-dev,
+         libssl1.0-dev,
          zlib1g-dev,
          ${misc:Depends}
 Suggests: libssh-doc
@@ -85,22 +84,6 @@
  .
  This package contains development files to build the gcrypt flavor.
 
-Package: libssh-dbg
-Priority: extra
-Section: debug
-Architecture: any
-Depends: libssh-4 (= ${binary:Version}) | libssh-gcrypt-4 (= ${binary:Version}),
-         ${misc:Depends}
-Multi-Arch: same
-Description: tiny C SSH library. Debug symbols
- The ssh library was designed to be used by programmers needing a working SSH
- implementation by the mean of a library. The complete control of the client
- is made by the programmer. With libssh, you can remotely execute programs,
- transfer files, use a secure and transparent tunnel for your remote programs.
- With its SFTP implementation, you can play with remote files easily.
- .
- This package contains debug symbols.
-
 Package: libssh-doc
 Section: doc
 Architecture: all
