## libssh 0.7.5

=== debian/changelog ===
libssh (0.7.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Bump Standards-Version to 4.0.0 (no further changes)
  * debian/libssh-gcrypt-4.lintian-overrides: Adjust library soname to the new
    release

 -- Laurent Bigonville <bigon@debian.org>  Mon, 03 Jul 2017 15:29:04 +0200
