=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                openssh-client,
                pkg-config
 Build-Depends-Indep: doxygen
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/libssh.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/libssh.git
 Homepage: https://www.libssh.org/
